## UDisksManagerNVMe

UDisksManagerNVMe — Generated C code for the org.freedesktop.UDisks2.Manager.NVMe D-Bus interface

## Functions

GDBusInterfaceInfo * | udisks_manager_nvme_interface_info ()
guint | udisks_manager_nvme_override_properties ()
void | udisks_manager_nvme_call_set_host_nqn ()
gboolean | udisks_manager_nvme_call_set_host_nqn_finish ()
gboolean | udisks_manager_nvme_call_set_host_nqn_sync ()
void | udisks_manager_nvme_complete_set_host_nqn ()
void | udisks_manager_nvme_call_set_host_id ()
gboolean | udisks_manager_nvme_call_set_host_id_finish ()
gboolean | udisks_manager_nvme_call_set_host_id_sync ()
void | udisks_manager_nvme_complete_set_host_id ()
void | udisks_manager_nvme_call_connect ()
gboolean | udisks_manager_nvme_call_connect_finish ()
gboolean | udisks_manager_nvme_call_connect_sync ()
void | udisks_manager_nvme_complete_connect ()
const gchar * | udisks_manager_nvme_get_host_id ()
const gchar * | udisks_manager_nvme_get_host_nqn ()
gchar * | udisks_manager_nvme_dup_host_id ()
gchar * | udisks_manager_nvme_dup_host_nqn ()
void | udisks_manager_nvme_set_host_id ()
void | udisks_manager_nvme_set_host_nqn ()
void | udisks_manager_nvme_proxy_new ()
UDisksManagerNVMe * | udisks_manager_nvme_proxy_new_finish ()
UDisksManagerNVMe * | udisks_manager_nvme_proxy_new_sync ()
void | udisks_manager_nvme_proxy_new_for_bus ()
UDisksManagerNVMe * | udisks_manager_nvme_proxy_new_for_bus_finish ()
UDisksManagerNVMe * | udisks_manager_nvme_proxy_new_for_bus_sync ()
UDisksManagerNVMe * | udisks_manager_nvme_skeleton_new ()

## Types and Values

| UDisksManagerNVMe
struct | UDisksManagerNVMeIface
struct | UDisksManagerNVMeProxy
struct | UDisksManagerNVMeProxyClass
struct | UDisksManagerNVMeSkeleton
struct | UDisksManagerNVMeSkeletonClass

## Object Hierarchy

        GInterface
        ╰── UDisksManagerNVMe

## Prerequisites

UDisksManagerNVMe requires GObject.

## Description

This section contains code for working with the org.freedesktop.UDisks2.Manager.NVMe D-Bus interface in C.

## Functions

### udisks_manager_nvme_interface_info ()

    GDBusInterfaceInfo *
    udisks_manager_nvme_interface_info (void);

Gets a machine-readable description of the org.freedesktop.UDisks2.Manager.NVMe D-Bus interface.

#### Returns

A GDBusInterfaceInfo. Do not free.

[transfer none]

### udisks_manager_nvme_override_properties ()

    guint
    udisks_manager_nvme_override_properties
                                   (GObjectClass *klass,
                                    guint property_id_begin);

Overrides all GObject properties in the UDisksManagerNVMe interface for a concrete class. The properties are overridden in the order they are defined.

#### Parameters

klass | The class structure for a GObject derived class. |
property_id_begin | The property id to assign to the first overridden property. |

#### Returns

The last property id.

### udisks_manager_nvme_call_set_host_nqn ()

    void
    udisks_manager_nvme_call_set_host_nqn (UDisksManagerNVMe *proxy,
                                           const gchar *arg_hostnqn,
                                           GVariant *arg_options,
                                           GCancellable *cancellable,
                                           GAsyncReadyCallback callback,
                                           gpointer user_data);

Asynchronously invokes the `SetHostNQN()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `udisks_manager_nvme_call_set_host_nqn_finish()` to get the result of the operation.

See `udisks_manager_nvme_call_set_host_nqn_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A UDisksManagerNVMeProxy. |
arg_hostnqn | Argument to pass with the method invocation. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

Since: 2.10.0

### udisks_manager_nvme_call_set_host_nqn_finish ()

    gboolean
    udisks_manager_nvme_call_set_host_nqn_finish
                                   (UDisksManagerNVMe *proxy,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `udisks_manager_nvme_call_set_host_nqn()`.

#### Parameters

proxy | A UDisksManagerNVMeProxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_manager_nvme_call_set_host_nqn()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

Since: 2.10.0

### udisks_manager_nvme_call_set_host_nqn_sync ()

    gboolean
    udisks_manager_nvme_call_set_host_nqn_sync
                                   (UDisksManagerNVMe *proxy,
                                    const gchar *arg_hostnqn,
                                    GVariant *arg_options,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `SetHostNQN()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `udisks_manager_nvme_call_set_host_nqn()` for the asynchronous version of this method.

#### Parameters

proxy | A UDisksManagerNVMeProxy. |
arg_hostnqn | Argument to pass with the method invocation. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

Since: 2.10.0

### udisks_manager_nvme_complete_set_host_nqn ()

    void
    udisks_manager_nvme_complete_set_host_nqn
                                   (UDisksManagerNVMe *object,
                                    GDBusMethodInvocation *invocation);

Helper function used in service implementations to finish handling invocations of the `SetHostNQN()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A UDisksManagerNVMe. |
invocation | A GDBusMethodInvocation. | [transfer full]

Since: 2.10.0

### udisks_manager_nvme_call_set_host_id ()

    void
    udisks_manager_nvme_call_set_host_id (UDisksManagerNVMe *proxy,
                                          const gchar *arg_hostid,
                                          GVariant *arg_options,
                                          GCancellable *cancellable,
                                          GAsyncReadyCallback callback,
                                          gpointer user_data);

Asynchronously invokes the `SetHostID()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `udisks_manager_nvme_call_set_host_id_finish()` to get the result of the operation.

See `udisks_manager_nvme_call_set_host_id_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A UDisksManagerNVMeProxy. |
arg_hostid | Argument to pass with the method invocation. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

Since: 2.10.0

### udisks_manager_nvme_call_set_host_id_finish ()

    gboolean
    udisks_manager_nvme_call_set_host_id_finish
                                   (UDisksManagerNVMe *proxy,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `udisks_manager_nvme_call_set_host_id()`.

#### Parameters

proxy | A UDisksManagerNVMeProxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_manager_nvme_call_set_host_id()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

Since: 2.10.0

### udisks_manager_nvme_call_set_host_id_sync ()

    gboolean
    udisks_manager_nvme_call_set_host_id_sync
                                   (UDisksManagerNVMe *proxy,
                                    const gchar *arg_hostid,
                                    GVariant *arg_options,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `SetHostID()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `udisks_manager_nvme_call_set_host_id()` for the asynchronous version of this method.

#### Parameters

proxy | A UDisksManagerNVMeProxy. |
arg_hostid | Argument to pass with the method invocation. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

Since: 2.10.0

### udisks_manager_nvme_complete_set_host_id ()

    void
    udisks_manager_nvme_complete_set_host_id
                                   (UDisksManagerNVMe *object,
                                    GDBusMethodInvocation *invocation);

Helper function used in service implementations to finish handling invocations of the `SetHostID()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A UDisksManagerNVMe. |
invocation | A GDBusMethodInvocation. | [transfer full]

Since: 2.10.0

### udisks_manager_nvme_call_connect ()

    void
    udisks_manager_nvme_call_connect (UDisksManagerNVMe *proxy,
                                      const gchar *arg_subsysnqn,
                                      const gchar *arg_transport,
                                      const gchar *arg_transport_addr,
                                      GVariant *arg_options,
                                      GCancellable *cancellable,
                                      GAsyncReadyCallback callback,
                                      gpointer user_data);

Asynchronously invokes the `Connect()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `udisks_manager_nvme_call_connect_finish()` to get the result of the operation.

See `udisks_manager_nvme_call_connect_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A UDisksManagerNVMeProxy. |
arg_subsysnqn | Argument to pass with the method invocation. |
arg_transport | Argument to pass with the method invocation. |
arg_transport_addr | Argument to pass with the method invocation. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

Since: 2.10.0

### udisks_manager_nvme_call_connect_finish ()

    gboolean
    udisks_manager_nvme_call_connect_finish
                                   (UDisksManagerNVMe *proxy,
                                    gchar **out_nvme_ctrl,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `udisks_manager_nvme_call_connect()`.

#### Parameters

proxy | A UDisksManagerNVMeProxy. |
out_nvme_ctrl | Return location for return parameter or `NULL` to ignore. | [out][optional]
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_manager_nvme_call_connect()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

Since: 2.10.0

### udisks_manager_nvme_call_connect_sync ()

    gboolean
    udisks_manager_nvme_call_connect_sync (UDisksManagerNVMe *proxy,
                                           const gchar *arg_subsysnqn,
                                           const gchar *arg_transport,
                                           const gchar *arg_transport_addr,
                                           GVariant *arg_options,
                                           gchar **out_nvme_ctrl,
                                           GCancellable *cancellable,
                                           GError **error);

Synchronously invokes the `Connect()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `udisks_manager_nvme_call_connect()` for the asynchronous version of this method.

#### Parameters

proxy | A UDisksManagerNVMeProxy. |
arg_subsysnqn | Argument to pass with the method invocation. |
arg_transport | Argument to pass with the method invocation. |
arg_transport_addr | Argument to pass with the method invocation. |
arg_options | Argument to pass with the method invocation. |
out_nvme_ctrl | Return location for return parameter or `NULL` to ignore. | [out][optional]
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

Since: 2.10.0

### udisks_manager_nvme_complete_connect ()

    void
    udisks_manager_nvme_complete_connect (UDisksManagerNVMe *object,
                                          GDBusMethodInvocation *invocation,
                                          const gchar *nvme_ctrl);

Helper function used in service implementations to finish handling invocations of the `Connect()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A UDisksManagerNVMe. |
invocation | A GDBusMethodInvocation. | [transfer full]
nvme_ctrl | Parameter to return. |

Since: 2.10.0

### udisks_manager_nvme_get_host_id ()

    const gchar *
    udisks_manager_nvme_get_host_id (UDisksManagerNVMe *object);

Gets the value of the "HostID" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `udisks_manager_nvme_dup_host_id()` if on another thread.

[skip]

#### Parameters

object | A UDisksManagerNVMe. |

#### Returns

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object` .

[transfer none][nullable]

Since: 2.10.0

### udisks_manager_nvme_get_host_nqn ()

    const gchar *
    udisks_manager_nvme_get_host_nqn (UDisksManagerNVMe *object);

Gets the value of the "HostNQN" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `udisks_manager_nvme_dup_host_nqn()` if on another thread.

[skip]

#### Parameters

object | A UDisksManagerNVMe. |

#### Returns

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object` .

[transfer none][nullable]

Since: 2.10.0

### udisks_manager_nvme_dup_host_id ()

    gchar *
    udisks_manager_nvme_dup_host_id (UDisksManagerNVMe *object);

Gets a copy of the "HostID" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A UDisksManagerNVMe. |

#### Returns

The property value or `NULL` if the property is not set. The returned value should be freed with `g_free()`.

[transfer full][nullable]

Since: 2.10.0

### udisks_manager_nvme_dup_host_nqn ()

    gchar *
    udisks_manager_nvme_dup_host_nqn (UDisksManagerNVMe *object);

Gets a copy of the "HostNQN" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A UDisksManagerNVMe. |

#### Returns

The property value or `NULL` if the property is not set. The returned value should be freed with `g_free()`.

[transfer full][nullable]

Since: 2.10.0

### udisks_manager_nvme_set_host_id ()

    void
    udisks_manager_nvme_set_host_id (UDisksManagerNVMe *object,
                                     const gchar *value);

Sets the "HostID" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A UDisksManagerNVMe. |
value | The value to set. |

Since: 2.10.0

### udisks_manager_nvme_set_host_nqn ()

    void
    udisks_manager_nvme_set_host_nqn (UDisksManagerNVMe *object,
                                      const gchar *value);

Sets the "HostNQN" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A UDisksManagerNVMe. |
value | The value to set. |

Since: 2.10.0

### udisks_manager_nvme_proxy_new ()

    void
    udisks_manager_nvme_proxy_new (GDBusConnection *connection,
                                   GDBusProxyFlags flags,
                                   const gchar *name,
                                   const gchar *object_path,
                                   GCancellable *cancellable,
                                   GAsyncReadyCallback callback,
                                   gpointer user_data);

Asynchronously creates a proxy for the D-Bus interface org.freedesktop.UDisks2.Manager.NVMe. See `g_dbus_proxy_new()` for more details.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `udisks_manager_nvme_proxy_new_finish()` to get the result of the operation.

See `udisks_manager_nvme_proxy_new_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [nullable]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

### udisks_manager_nvme_proxy_new_finish ()

    UDisksManagerNVMe *
    udisks_manager_nvme_proxy_new_finish (GAsyncResult *res,
                                          GError **error);

Finishes an operation started with `udisks_manager_nvme_proxy_new()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_manager_nvme_proxy_new()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type UDisksManagerNVMeProxy]

### udisks_manager_nvme_proxy_new_sync ()

    UDisksManagerNVMe *
    udisks_manager_nvme_proxy_new_sync (GDBusConnection *connection,
                                        GDBusProxyFlags flags,
                                        const gchar *name,
                                        const gchar *object_path,
                                        GCancellable *cancellable,
                                        GError **error);

Synchronously creates a proxy for the D-Bus interface org.freedesktop.UDisks2.Manager.NVMe. See `g_dbus_proxy_new_sync()` for more details.

The calling thread is blocked until a reply is received.

See `udisks_manager_nvme_proxy_new()` for the asynchronous version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [nullable]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type UDisksManagerNVMeProxy]

### udisks_manager_nvme_proxy_new_for_bus ()

    void
    udisks_manager_nvme_proxy_new_for_bus (GBusType bus_type,
                                           GDBusProxyFlags flags,
                                           const gchar *name,
                                           const gchar *object_path,
                                           GCancellable *cancellable,
                                           GAsyncReadyCallback callback,
                                           gpointer user_data);

Like `udisks_manager_nvme_proxy_new()` but takes a GBusType instead of a GDBusConnection.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `udisks_manager_nvme_proxy_new_for_bus_finish()` to get the result of the operation.

See `udisks_manager_nvme_proxy_new_for_bus_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

### udisks_manager_nvme_proxy_new_for_bus_finish ()

    UDisksManagerNVMe *
    udisks_manager_nvme_proxy_new_for_bus_finish
                                   (GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `udisks_manager_nvme_proxy_new_for_bus()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_manager_nvme_proxy_new_for_bus()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type UDisksManagerNVMeProxy]

### udisks_manager_nvme_proxy_new_for_bus_sync ()

    UDisksManagerNVMe *
    udisks_manager_nvme_proxy_new_for_bus_sync
                                   (GBusType bus_type,
                                    GDBusProxyFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GError **error);

Like `udisks_manager_nvme_proxy_new_sync()` but takes a GBusType instead of a GDBusConnection.

The calling thread is blocked until a reply is received.

See `udisks_manager_nvme_proxy_new_for_bus()` for the asynchronous version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type UDisksManagerNVMeProxy]

### udisks_manager_nvme_skeleton_new ()

    UDisksManagerNVMe *
    udisks_manager_nvme_skeleton_new (void);

Creates a skeleton object for the D-Bus interface org.freedesktop.UDisks2.Manager.NVMe.

#### Returns

The skeleton object.

[transfer full][type UDisksManagerNVMeSkeleton]

## Types and Values

### UDisksManagerNVMe

    typedef struct _UDisksManagerNVMe UDisksManagerNVMe;

Abstract interface type for the D-Bus interface org.freedesktop.UDisks2.Manager.NVMe.

### struct UDisksManagerNVMeIface

    struct UDisksManagerNVMeIface {
      GTypeInterface parent_iface;

      gboolean (*handle_connect) (
        UDisksManagerNVMe *object,
        GDBusMethodInvocation *invocation,
        const gchar *arg_subsysnqn,
        const gchar *arg_transport,
        const gchar *arg_transport_addr,
        GVariant *arg_options);

      gboolean (*handle_set_host_id) (
        UDisksManagerNVMe *object,
        GDBusMethodInvocation *invocation,
        const gchar *arg_hostid,
        GVariant *arg_options);

      gboolean (*handle_set_host_nqn) (
        UDisksManagerNVMe *object,
        GDBusMethodInvocation *invocation,
        const gchar *arg_hostnqn,
        GVariant *arg_options);

      const gchar * (*get_host_id) (UDisksManagerNVMe *object);

      const gchar * (*get_host_nqn) (UDisksManagerNVMe *object);
    };

Virtual table for the D-Bus interface org.freedesktop.UDisks2.Manager.NVMe.

#### Members

GTypeInterface `parent_iface`; | The parent interface. |
`handle_connect` () | Handler for the “handle-connect” signal. |
`handle_set_host_id` () | Handler for the “handle-set-host-id” signal. |
`handle_set_host_nqn` () | Handler for the “handle-set-host-nqn” signal. |
`get_host_id` () | Getter for the “host-id” property. |
`get_host_nqn` () | Getter for the “host-nqn” property. |

### struct UDisksManagerNVMeProxy

    struct UDisksManagerNVMeProxy {
    };

The UDisksManagerNVMeProxy structure contains only private data and should only be accessed using the provided API.

### struct UDisksManagerNVMeProxyClass

    struct UDisksManagerNVMeProxyClass {
      GDBusProxyClass parent_class;
    };

Class structure for UDisksManagerNVMeProxy.

#### Members

### struct UDisksManagerNVMeSkeleton

    struct UDisksManagerNVMeSkeleton {
    };

The UDisksManagerNVMeSkeleton structure contains only private data and should only be accessed using the provided API.

### struct UDisksManagerNVMeSkeletonClass

    struct UDisksManagerNVMeSkeletonClass {
      GDBusInterfaceSkeletonClass parent_class;
    };

Class structure for UDisksManagerNVMeSkeleton.

#### Members